cordova.define("cordova-plugin-bhfae.bhfae", function(require, exports, module) {
var exec = require('cordova/exec');

var bhfaeExport = {};

bhfaeExport.showToast = function (arg0, success, error) {
    exec(success, error, 'Bhfae', 'showToast', [arg0]);
};

bhfaeExport.getAppVersion = function (arg0, success, error) {
    exec(success, error, 'Bhfae', 'getAppVersion', [arg0]);
};

bhfaeExport.terminateApp = function (success, error) {
    exec(success, error, 'Bhfae', 'terminateApp', []);
};

bhfaeExport.OCRType = {
    IDCardNormal: 0,
    IDCardFrontSide: 1,
    IDCardBackSide: 2,
    BankCard: 3
};

bhfaeExport.FaceRecognitionType = {
    Action: 0,
    Number: 1,
    Light: 2
};
/*
* params:{
*   type: 识别类型 0:身份证正反面 1:正面 2:反面 3:银行卡 默认:银行卡;
*   userId:用户id(当前登录用户唯一id);
*   appId:分配的appId;
*   nonce:唯一字符串;
*   orderNo:订单号;
*   sign:签名;
* }
     错误码:
    code	message
    0000	识别成功
    1000	SDK登录成功
    -1001	网络环境不满足检测需求
    -1004	未获取相机权限
    -1000	用户取消操作
    -1100	检测超时
    -9999	其他错误
返回数据:
银行卡:
    success:{
        bankcardNo
    }
身份证:
    success:{
        idcard: 身份证号码
        name:姓名
        sex:性别
        nation:民族
        address:地址
        birth:生日
        authority:发证机关
        validDate:有效期
    }

* */
bhfaeExport.startOCR = function (params, success, error) {
    exec(success, error, 'Bhfae', 'startOCR', [params]);
};

/*
*params:{
*   userId:用户id(当前登录用户唯一id);
*   appId:分配的appId;
*   nonce:唯一字符串;
*   orderNo:订单号;
*   sign:签名;
*   userName:姓名;
*   idNumber:身份证号码;
*   licence:licence;
* }
* */
bhfaeExport.startFaceRecognition = function (params, success, error) {
    exec(success, error, 'Bhfae', 'startFaceRecognition', [params]);
};

module.exports = bhfaeExport;
});
